<script setup>
import Menu from './components/Menu.vue' 
import {NMessageProvider, NConfigProvider, darkTheme, NThemeEditor} from 'naive-ui'
const themeOverrides = {
    common: {
      primaryColor: '#ff69b4',
      primaryColorHover: '#ff69b4'
    },
    Button: {
      textColor: '#ff69b4'
    },
    Input: {
      primaryColor: '#ff69b4',
    },
    Select: {
      peers: {
        InternalSelection: {
          textColor: '#ff69b4'
        }
      }
    }
  }
</script>
<script>
  export default {
    components: {
      NThemeEditor
    }
  }
</script>

<template>
    <n-theme-editor>
    <n-config-provider :theme="lightTheme" :theme-overrides="themeOverrides">
  <n-message-provider>
            <Menu/>
  </n-message-provider>
</n-config-provider>
</n-theme-editor>
</template>
